companies updateContexts
curl --request PATCH \
--url https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenants": [
{
"endUserOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arr": {
"amount": "<string>",
"currency": "<string>"
},
"tier": "<string>"
}
]
}
'import requests
url = "https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context"
payload = { "tenants": [
{
"endUserOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arr": {
"amount": "<string>",
"currency": "<string>"
},
"tier": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenants: [
{
endUserOrgId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
arr: {amount: '<string>', currency: '<string>'},
tier: '<string>'
}
]
})
};
fetch('https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tenants' => [
[
'endUserOrgId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'arr' => [
'amount' => '<string>',
'currency' => '<string>'
],
'tier' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context"
payload := strings.NewReader("{\n \"tenants\": [\n {\n \"endUserOrgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"arr\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n },\n \"tier\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tenants\": [\n {\n \"endUserOrgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"arr\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n },\n \"tier\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tenants\": [\n {\n \"endUserOrgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"arr\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n },\n \"tier\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"tenants": [
{
"endUserOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arr": {
"amount": "<string>",
"currency": "<string>"
},
"tier": "<string>"
}
]
}{
"defined": false,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"code": "AUTH_MISSING",
"status": 401,
"message": "Request is missing session credentials.",
"data": "<unknown>"
}{
"defined": true,
"code": "NETWORK_ACCESS_DENIED",
"status": 403,
"message": "This network is not allowed to access the workspace. Connect to an allowed network and try again.",
"data": "<unknown>"
}{
"defined": true,
"code": "COMPANY_NOT_FOUND",
"status": 404,
"message": "Company not found.",
"data": "<unknown>"
}{
"defined": true,
"code": "NETWORK_ACCESS_UNAVAILABLE",
"status": 503,
"message": "Network access could not be checked. Try again shortly.",
"data": "<unknown>"
}companies updateContexts
Atomically patches up to 100 distinct companies. Unknown, deleted, or foreign companies reject the entire batch. Omitted fields remain unchanged; null clears a field.
PATCH
/
v3
/
workspaces
/
{workspaceSlug}
/
tenants
/
context
companies updateContexts
curl --request PATCH \
--url https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenants": [
{
"endUserOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arr": {
"amount": "<string>",
"currency": "<string>"
},
"tier": "<string>"
}
]
}
'import requests
url = "https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context"
payload = { "tenants": [
{
"endUserOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arr": {
"amount": "<string>",
"currency": "<string>"
},
"tier": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenants: [
{
endUserOrgId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
arr: {amount: '<string>', currency: '<string>'},
tier: '<string>'
}
]
})
};
fetch('https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tenants' => [
[
'endUserOrgId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'arr' => [
'amount' => '<string>',
'currency' => '<string>'
],
'tier' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context"
payload := strings.NewReader("{\n \"tenants\": [\n {\n \"endUserOrgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"arr\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n },\n \"tier\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tenants\": [\n {\n \"endUserOrgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"arr\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n },\n \"tier\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.interfere.com/v3/workspaces/{workspaceSlug}/tenants/context")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tenants\": [\n {\n \"endUserOrgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"arr\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n },\n \"tier\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"tenants": [
{
"endUserOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arr": {
"amount": "<string>",
"currency": "<string>"
},
"tier": "<string>"
}
]
}{
"defined": false,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"code": "AUTH_MISSING",
"status": 401,
"message": "Request is missing session credentials.",
"data": "<unknown>"
}{
"defined": true,
"code": "NETWORK_ACCESS_DENIED",
"status": 403,
"message": "This network is not allowed to access the workspace. Connect to an allowed network and try again.",
"data": "<unknown>"
}{
"defined": true,
"code": "COMPANY_NOT_FOUND",
"status": 404,
"message": "Company not found.",
"data": "<unknown>"
}{
"defined": true,
"code": "NETWORK_ACCESS_UNAVAILABLE",
"status": 503,
"message": "Network access could not be checked. Try again shortly.",
"data": "<unknown>"
}Authorizations
Clerk session or delegated OAuth access token of an Interfere user. Workspace routes also accept API keys with explicit permission scopes.
Path Parameters
Minimum string length:
1Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I